package com.cim.idm.wmspackage.user.management.data;
import com.cim.idm.wmspackage.user.management.data.UserInfo;

public class UserInfoExtend extends UserInfo {
    private AuthTokenResultModel authTokenResultModel;

    public AuthTokenResultModel getAuthTokenResultModel() {
        return authTokenResultModel;
    }

    public void setAuthTokenResultModel(AuthTokenResultModel authTokenResultModel) {
        this.authTokenResultModel = authTokenResultModel;
    }

    public UserInfoExtend(){

    }

    public UserInfoExtend(UserInfo userInfo){
        super.setKey(userInfo.getKey());
//        super.setActiveState(userInfo.getActiveState());
        super.setUserName(userInfo.getUserName());
        super.setUserGroupName(userInfo.getUserGroupName());
        super.setPassword(userInfo.getPassword());
        super.setLocaleName(userInfo.getLocaleName());
        super.setSiteName(userInfo.getSiteName());
        super.setEmail(userInfo.getEmail());
        super.setPhoneNumber(userInfo.getPhoneNumber());
//        super.setActiveState(userInfo.getActiveState());
//        super.setErrorCount(userInfo.getErrorCount());
//        super.setLastErrorTime(userInfo.getLastErrorTime());
//        super.setPortalUserId(userInfo.getPortalUserId());
//        super.setUserType(userInfo.getUserType());
    }
}
